/*
 * Name:    d_epmcs.h 
 *
 * Purpose: Header file for EPICS multichannel support.
 *
 *-------------------------------------------------------------------------
 *
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

#ifndef __D_EPMCS_H__
#define __D_EPMCS_H__

#include "mx_mcs.h"

/* ===== MX EPICS mcs record data structures ===== */

typedef struct {
	char epics_record_name[40];
} MX_EPICS_MCS;

/* Define all of the interface functions. */

MX_API mx_status_type mxd_epics_mcs_initialize_type( long type );
MX_API mx_status_type mxd_epics_mcs_create_record_structures(
							MX_RECORD *record );
MX_API mx_status_type mxd_epics_mcs_finish_record_initialization(
							MX_RECORD *record );
MX_API mx_status_type mxd_epics_mcs_delete_record( MX_RECORD *record );
MX_API mx_status_type mxd_epics_mcs_print_structure(
					FILE *file, MX_RECORD *record );
MX_API mx_status_type mxd_epics_mcs_read_parms_from_hardware(
						MX_RECORD *record );
MX_API mx_status_type mxd_epics_mcs_write_parms_to_hardware(
						MX_RECORD *record );
MX_API mx_status_type mxd_epics_mcs_open( MX_RECORD *record );
MX_API mx_status_type mxd_epics_mcs_close( MX_RECORD *record );

extern MX_RECORD_FUNCTION_LIST mxd_epics_mcs_record_function_list;
extern MX_MCS_FUNCTION_LIST mxd_epics_mcs_mcs_function_list;

extern long mxd_epics_mcs_num_record_fields;
extern MX_RECORD_FIELD_DEFAULTS *mxd_epics_mcs_rfield_def_ptr;

#define MXD_EPICS_MCS_STANDARD_FIELDS \
  {-1, -1, "epics_record_name", MXFT_STRING, NULL, 1, {41}, \
	MXF_REC_TYPE_STRUCT, offsetof(MX_EPICS_MCS, epics_record_name), \
	{sizeof(char)}, NULL, (MXFF_IN_DESCRIPTION | MXFF_IN_SUMMARY)}

#endif /* __D_EPMCS_H__ */

